Subject: Re: Home directory was not created
From: Brian Inglis <[email-masked]>
To: [email-masked]
Date: Tue, 2 Mar 2021 11:56:53 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2021-03-02 01:08, KAVALAGIOS Panagiotis (EEAS-EXT) wrote:
> -----Original Message-----
> From: KAVALAGIOS Panagiotis (EEAS-EXT)
> Sent: 02 March 2021 08:15
> To: [email-masked]
> Subject: RE: Home directory was not created
> 
>> -----Original Message-----
>> From: On Behalf Of Brian Inglis
>> Sent: 01 March 2021 18:38
>>
>> On 2021-03-01 08:33, KAVALAGIOS Panagiotis (EEAS-EXT) wrote:
>>> Something went wrong to my Cygwin installation update (update is
>>> performed by removing everything and installing again the new
>>> version). The home directory of my user was not created, when you
>>> run
>> Cygwin for the first time.
>>> When I start Cygwin it defaults to the evil C:\Windows\System32!?!?
>>> -bash-4.4$ pwd
>>> /cygdrive/c/WINDOWS/System32
>>> -bash-4.4$ cd
>>> -bash: cd: /home/kavalpa: No such file or directory -bash-4.4$ How
>>> this can be fixed in proper way, without causing any permission issues.
>>
>> By figuring out what went wrong during setup.
>> Please respond attaching /var/log/setup.log.full and terminal or
>> console log if possible.
>>
>> Otherwise just run setup-x86/_64 [-g] to upgrade without wiping
>> everything to avoid such problems.
> 
> The log is attached. I couldn't see any error except for the libgpg-error0 package that matches the "error" search term :)
> 
> The home directory is created afterwards anyway at the first Cygwin execution, if it does not exist. Are you sure it is an installation error? I would rather avoid re-installing and fix the issue by creating the conditions and force Cygwin to create the home directory.

> [Hi Brian, I apologise for this personal e-mail. I have tried to send it twice to the list to no avail. It's not HTML and it does not appear to list's mail archive either. I have no idea what is going wrong.]

> zip 358KB > 256KB too big I think

All postinstall steps failed because of BLODA or installation path:

2021/02/09 17:48:06 running: C:\Program Files\Cygwin\bin\dash.exe 
"/etc/postinstall/0p_000_autorebase.dash"
       0 [main] dash (2296) shared_info::initialize: size of shared memory 
region changed from 49080 to 40888
2021/02/09 17:48:20 abnormal exit: exit code=-1073741819
...

Installing under Program\ Files causes issues because of space in path names and 
BLODA-like AV protections on those paths.

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple